# PulpAnsibleClient::AnsibleGitRemote

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**proxy_password** | **String** | The password to authenticte to the proxy. | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**max_retries** | **Integer** | Maximum number of retry attempts after a download failure. If not set then the default value (3) will be used. | [optional] 
**client_key** | **String** | A PEM encoded private key used for authentication. | [optional] 
**url** | **String** | The URL of an external content source. | 
**password** | **String** | The password to be used for authentication when syncing. | [optional] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. If not set then the default value will be used. | [optional] 
**proxy_username** | **String** | The username to authenticte to the proxy. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**name** | **String** | A unique name for this remote. | 
**pulp_labels** | [**Object**](.md) |  | [optional] 
**username** | **String** | The username to be used for authentication when syncing. | [optional] 
**rate_limit** | **Integer** | Limits requests per second for each concurrent downloader | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**metadata_only** | **Boolean** | If True, only metadata about the content will be stored in Pulp. Clients will retrieve content from the remote URL. | [optional] 
**git_ref** | **String** | A git ref. e.g.: branch, tag, or commit sha. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleGitRemote.new(sock_read_timeout: null,
                                 ca_cert: null,
                                 proxy_password: null,
                                 connect_timeout: null,
                                 max_retries: null,
                                 client_key: null,
                                 url: null,
                                 password: null,
                                 download_concurrency: null,
                                 proxy_username: null,
                                 sock_connect_timeout: null,
                                 client_cert: null,
                                 name: null,
                                 pulp_labels: null,
                                 username: null,
                                 rate_limit: null,
                                 total_timeout: null,
                                 tls_validation: null,
                                 headers: null,
                                 proxy_url: null,
                                 metadata_only: null,
                                 git_ref: null)
```


